Subject: sshd 1.2.25 problems
From: [email-masked] (Roel Hofkens)

19 Jun 1998 12:59:39 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Hi,

I'm trying to setup a working sshd 1.2.25 on NT (with RSA authentication).
I scanned through the mailing archive, found a lot of useful info but still
I'm in trouble.

A description of the situation:

my linux box
============

- ssh 1.2.25 installed and running
- generated key pair for user roel with ssh-keygen -b 1024 -N ''
(saved in /home/roel/.ssh/identity*)
- in the passwd file : roel:x:1002:1::/home/roel:/bin/bash

my NT box
=========

- running gnuwin32b19, installed Serguei's coolview dll
- compiled ssh-1.2.25 with Serguei's diff (x11 disabled) (thanks Serguei!)
- generated key pair with ssh-keygen -b 1024 -f /etc/ssh_host_key -N ''
- environment:
USERNAME=roel
HOME=/users/roel
CYGWIN32=tty
CYGWIN_TTY=1
SHELL=/bin/bash.exe
- mount table:
Device           Directory           Type        Flags
c:\temp          /tmp                native      text=binary
c:\temp          /temp               native      text=binary
c:\home          /home               native      text=binary
c:\etc           /etc                native      text=binary
\\.\tape1:       /dev/st1            native      text!=binary
\\.\tape0:       /dev/st0            native      text!=binary
\\.\b:           /dev/fd1            native      text!=binary
\\.\a:           /dev/fd0            native      text!=binary
c:\bin           /bin                native      text=binary
c:               /                   native      text=binary

- in /etc/passwd: roel::1001:513:Roel Hofkens:/users/roel:/bin/bash.exe
- in /etc/sshd_config:
StrictModes no
RSAAuthentication yes

I ftp-ed the identity.pub file from my unix box to /users/roel/.ssh .
There I renamed identity.pub to authorized_keys.  So I get

bash-2.01$ pwd
/users/roel/.ssh
bash-2.01$ ls -al
total 4
drwxr-xr-x   6 544      everyone        0 Jun 19 10:46 .
drwxr-xr-x   5 544      everyone        0 Jun 17 15:54 ..
-rw-r--r--   1 roel     everyone      376 Jun 19 11:13 WS_FTP.LOG
-rw-r--r--   1 roel     everyone      333 Jun 19 11:15 authorized_keys
-rw-r--r--   1 roel     everyone      529 Jun 19 11:13 identity
-rw-r--r--   1 roel     everyone      333 Jun 19 11:13 identity.pub

IMHO, this should setup SSH for RSA auth from the unix to the NT.  But when
I try to ssh from my unix box into the NT, I get the following:

bash-2.01$ /temp/ssh-win32/ssh-1.2.25/sshd.exe -d
debug: sshd version 1.2.25 [i586-pc-cygwin32]
debug: Initializing random number generator; seed file /etc/ssh_random_seed
log: Server listening on port 22.
log: Generating 768 bit RSA key.
Generating p:  ......++ (distance 60)
Generating q:  ...................++ (distance 308)
Computing the keys...
Testing the keys...
Key generation complete.
log: RSA key generation complete.
debug: Server will not fork when running in debugging mode.
log: Connection from 195.0.49.51 port 1023
debug: Client protocol version 1.5; client software version 1.2.25
debug: Sent 768 bit public key and 1024 bit host key.
debug: Encryption type: idea
debug: Received session key; encryption turned on.
debug: Installing crc compensation attack detector
debug: Attempting authentication for roel.
debug: RhostsRSA authentication failed for 'roel', remote 'roel', host
'merchant
..eunet.be'.
debug: RSA authentication for roel failed.
debug: Password authentication for roel failed.
fatal: Connection closed by remote host.
debug: Calling cleanup 0x40ef14(0x0)

on my unix box:

roel@merchant:/root$ ssh -v 10.1.1.1
SSH Version 1.2.25 [i586-unknown-linux], protocol version 1.5.
Standard version.  Does not use RSAREF.
merchant: Reading configuration data /etc/ssh_config
merchant: ssh_connect: getuid 1002 geteuid 0 anon 0
merchant: Connecting to 10.1.1.1 port 22.
merchant: Allocated local port 1023.
merchant: Connection established.
merchant: Remote protocol version 1.5, remote software version 1.2.25
merchant: Waiting for server public key.
merchant: Received server public key (768 bits) and host key (1024 bits).
merchant: Initializing random; seed file /home/roel/.ssh/random_seed
merchant: Encryption type: idea
merchant: Sent encrypted session key.
merchant: Installing crc compensation attack detector
merchant: Received encrypted confirmation.
merchant: Trying rhosts or /etc/hosts.equiv with RSA host authentication.
merchant: Server refused our rhosts authentication or host key.
merchant: No agent.
merchant: Trying RSA authentication with key 'roel@merchant'
merchant: Server refused our key.
merchant: Doing password authentication.
[email-masked]'s password: 
Permission denied.

Anybody who has an idea what I'm doing wrong (why does the server refuse
the key)?

Thx!

Roel -- EUnet Belgium
http://www.Belgium.EU.net

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".